Skip to Content
avatar image
Former Member

Android for Work with Android below version 5.0

Hello experts,

I know that Android for Work is officially supported by SAP Afaria only for Version 5.0.

Did anyone at least try to apply AfW policies on an Android device from version 4.1 to 4.4? There is a download in the Google Play store that should bring the AfW functionality to that elder devices.

I downloaded that app and enrolled the device into SAP Mobile Secure Portal.

The Android for Work configuration starts after enrolling the device, but unfortunately it does not come to an end.

It hangs at the step "Setting up your work profile ..."

Did it work for you?

Thanks for your answer.

Ernst

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Best Answer
    Sep 09, 2015 at 11:06 AM

    http://service.sap.com/sap/support/notes/2214808

    http://service.sap.com/sap/support/notes/2213716

    See the links above for knowing what devices are supported by Afaria please.

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Sep 09, 2015 at 12:07 PM

    Thank you for the link to the KBAs Mirko,

    In one of the KBAs from your links there is written "Avenger (pre-Lollipop Android) AFW application will support more devices. A list of these supported devices is currently not available.".

    When I read andunderstand this correct Afaria support for devices below Android 5.0 is at least not completely out of support.

    So my question again - did anyone have a successful enrollment?

    Thanks

    Ernst

    Add comment
    10|10000 characters needed characters exceeded

    • Only Android 5 Lollipop has native mode support for AFW (embedded in the ROM of the devices).

      For older Android versions, apps have to communicate with Afaria client and currently only Google applications (Chrome, doc sheet, email client for example) can be pushed to devices configured with AFW because they have developed using special SDKs.

      For all other apps (Google Play store), each vendor will have to use those SDKs to make apps ready for AFW. Slowly, it will be  AFW for all devices and any Android version (from ice cream sandwich).

  • avatar image
    Former Member
    Sep 09, 2015 at 12:36 PM

    Hello Ernst,


    You can find the supported device list from the below link: http://help.sap.com/Download/Multimedia/pdf-mobilesecure/Android_For_Work_Quick_Start_Guide.pdf


    Page no:04


    An Android device running Lollipop (currently the Google Nexus 5, 6, or 9 (tablet)). Refer to the SAP Mobile Secure Release Notes for the latest information on supported devices.


    Hope this helps 😊


    Regards, Vinayak

    Add comment
    10|10000 characters needed characters exceeded